"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const field_1 = __importDefault(require("../field"));
const index_1 = require("./index");
const defaultOptions = {
    length: 1,
};
const asArrayBuilder = (fieldName, [options]) => () => {
    const { length } = { ...defaultOptions, ...options };
    const results = [];
    for (let i = 1; i < length + 1; i++) {
        const value = index_1.fieldBuilders.asStringBuilder(fieldName)(i).value;
        results.push(value);
    }
    return new field_1.default(fieldName, results);
};
exports.default = asArrayBuilder;
