declare const fieldBuilders: {
    asArrayBuilder: (fieldName: string, [options]: [import("./array-field-builder").ArrayBuilderOptions]) => () => import("..").Field<string[]>;
    asBooleanBuilder: (fieldName: string) => (increment: number) => import("..").Field<boolean>;
    asDateBuilder: (fieldName: string, [options]?: [(import("../types").DateBuilderOptions | undefined)?]) => (increment: number) => import("..").Field<Date>;
    asEmailBuilder: (fieldName: string) => (increment: number) => import("..").Field<string>;
    fromFixtureBuilder: <T>(fieldName: string, [fixture]: [import("..").default<T>]) => (increment: number) => import("..").Field<T>;
    buildFromFunction: <T_1>(fieldName: string, [func]: [(inc: number) => T_1]) => (increment: number) => import("..").Field<T_1>;
    loremIpsumBuilder: (fieldName: string, [options]: [(Partial<import("../types").LoremIpsumOptions> | undefined)?]) => (increment: number) => import("..").Field<string>;
    asStringBuilder: (fieldName: string) => (increment: number) => import("..").Field<string>;
    asNumberBuilder: (fieldName: string) => (increment: number) => import("..").Field<number>;
    pickFromBuilder: (fieldName: string, [options]: [any[]]) => (increment: number) => import("..").Field<any>;
    arrayOfFixtureBuilder: <T_2>(fieldName: string, [{ fixture, count }]: import("./array-of-fixture-builder").ArrayOfFixtureBuilderOptions<T_2>[]) => (increment: number) => import("..").Field<T_2[]>;
};
export { fieldBuilders };
