"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fieldBuilders = void 0;
const array_field_builder_1 = __importDefault(require("./array-field-builder"));
const array_of_fixture_builder_1 = __importDefault(require("./array-of-fixture-builder"));
const boolean_field_builder_1 = __importDefault(require("./boolean-field-builder"));
const date_field_builder_1 = __importDefault(require("./date-field-builder"));
const email_field_builder_1 = __importDefault(require("./email-field-builder"));
const from_fixture_field_builder_1 = __importDefault(require("./from-fixture-field-builder"));
const function_field_builder_1 = __importDefault(require("./function-field-builder"));
const lorem_ipsum_field_builder_1 = __importDefault(require("./lorem-ipsum-field-builder"));
const number_field_builder_1 = __importDefault(require("./number-field-builder"));
const pick_from_field_builder_1 = __importDefault(require("./pick-from-field-builder"));
const string_field_builder_1 = require("./string-field-builder");
const fieldBuilders = {
    asArrayBuilder: array_field_builder_1.default,
    asBooleanBuilder: boolean_field_builder_1.default,
    asDateBuilder: date_field_builder_1.default,
    asEmailBuilder: email_field_builder_1.default,
    fromFixtureBuilder: from_fixture_field_builder_1.default,
    buildFromFunction: function_field_builder_1.default,
    loremIpsumBuilder: lorem_ipsum_field_builder_1.default,
    asStringBuilder: string_field_builder_1.asStringBuilder,
    asNumberBuilder: number_field_builder_1.default,
    pickFromBuilder: pick_from_field_builder_1.default,
    arrayOfFixtureBuilder: array_of_fixture_builder_1.default,
};
exports.fieldBuilders = fieldBuilders;
