"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withValueBuilder = exports.withConstantBuilder = exports.lastNameBuilder = exports.fullNameBuilder = exports.firstNameBuilder = exports.asStringBuilder = void 0;
const field_1 = __importDefault(require("../field"));
const names_1 = require("./names");
const asStringBuilder = (fieldName) => (increment) => new field_1.default(fieldName, `${fieldName}${increment}`);
exports.asStringBuilder = asStringBuilder;
const withValueBuilder = (fieldName, [value]) => (increment) => new field_1.default(fieldName, `${value}${increment}`);
exports.withValueBuilder = withValueBuilder;
const withConstantBuilder = (fieldName, [constantValue]) => () => new field_1.default(fieldName, constantValue);
exports.withConstantBuilder = withConstantBuilder;
const getRandomElement = (list) => {
    const i = Math.floor(Math.random() * list.length);
    return list[i];
};
const firstNameBuilder = (fieldName) => () => new field_1.default(fieldName, getRandomElement(names_1.firstNames));
exports.firstNameBuilder = firstNameBuilder;
const lastNameBuilder = (fieldName) => () => new field_1.default(fieldName, getRandomElement(names_1.lastNames));
exports.lastNameBuilder = lastNameBuilder;
const fullNameBuilder = (fieldName) => () => new field_1.default(fieldName, `${getRandomElement(names_1.firstNames)} ${getRandomElement(names_1.lastNames)}`);
exports.fullNameBuilder = fullNameBuilder;
